#include "w_screw.inc"

#declare Outwheel =
  cylinder { < 0, 0, -1>, < 0, 0, 1>, 1
  scale <1,1,0.02>
  texture { T_Chrome_2C }
  }

#declare Inwheel =
  cylinder { < 0, 0, -1>, < 0, 0, 1>, 1
  scale <0.5,0.5,0.02>
  texture { Washrtex }
 }

#declare Notch1 =
  box { < -0.5, -0.5, -0.5>,< 0.5, 0.5, 0.5>
  scale <0.065,0.12,1>
  translate <0,0.95,0>
  texture { T_Chrome_2C } }

#declare Notch2 =
  box { < -0.5, -0.5, -0.5>,< 0.5, 0.5, 0.5>
  scale <0.067,0.12,1>
  translate <0,0.62,0>
  texture { T_Chrome_2C } }

#declare Notch3 =
  box { < -0.5, -0.5, -0.5>,< 0.5, 0.5, 0.5>
  scale <0.030,0.07,1>   // <0.025,0.07,1>
  translate <0,0.97,0>
  texture { T_Chrome_2C } }

#declare Bar1 =
  box { < -0.5, -0.5, -0.5>,< 0.5, 0.5, 0.5>
  scale <0.06,0.97,0.04>
 }


#declare Gear1 =
union {
object { Fltscrew
 	texture { Washrtex } translate <0,0,-0.065>}
object { Inwheel translate <0,0,-0.019> }
object {
difference {
	object { Outwheel }

#declare Degree=7
#declare Count=8
#while (Count<361)
    object{ Notch1 rotate z*Count}
#declare Count=Count+Degree
  #end

} }
scale 0.3 }

#declare Gear2 =
union {
object { Fltscrew
 	 texture { Washrtex } translate <0,0,-0.065>}
object { Inwheel scale <0.67,0.67,1> translate <0,0,-0.019> }
object {
difference {
	object { Outwheel scale <0.67,0.67,1> }

#declare Degree=12
#declare Count=12
#while (Count<361)
    object{ Notch2 rotate z*Count}
#declare Count=Count+Degree
  #end


} }
scale 0.3 }

#declare Gear3 =
object {
difference {
	object { Outwheel }

#declare Degree=4
#declare Count=4
#while (Count<361)
    object{ Notch3 rotate z*Count}
#declare Count=Count+Degree
  #end

} scale 0.42 }

#declare Gear4 =
union {
object { Bar1 translate <0,0.45,0> texture { T_Chrome_2C }}
object { Bar1 translate <0,0.45,0> rotate z*72 texture { T_Chrome_2C }}
object { Bar1 translate <0,0.45,0> rotate z*144 texture { T_Chrome_2C }}
object { Bar1 translate <0,0.45,0> rotate z*216 texture { T_Chrome_2C }}
object { Bar1 translate <0,0.45,0> rotate z*288 texture { T_Chrome_2C }}

object {
difference {
	object { Outwheel }
	object { Inwheel scale 1.8 }

#declare Degree=4
#declare Count=4
#while (Count<361)
    object{ Notch3 rotate z*Count}
#declare Count=Count+Degree
  #end
} }
scale 0.3 }

#declare Gear5 =
union {
  object { Bar1 scale <0.75,1,1> translate <0,0.45,0> texture { T_Chrome_2C }}
  object { Bar1 scale <0.75,1,1> translate <0,0.45,0> rotate z*120 texture { T_Chrome_2C }}
  object { Bar1 scale <0.75,1,1> translate <0,0.45,0> rotate z*240 texture { T_Chrome_2C }}
  object {
  difference {
	object { Outwheel scale 0.97 }
	object { Inwheel  scale 1.8  }
             } }
scale 0.4 }

#declare Spring =
  cylinder { < 0, 0.08, 0>, < 0, 0.09, 0>, 0.2
  texture { Sprtex scale 0.5 rotate x*90 }  }
